/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 17/01/2018
 --------------------------------------------------------
*/
package com.portofolio.controller;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.validation.Valid;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Lazy;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.portofolio.base.LocaleController;
import com.portofolio.dto.MapRuanganLoginToRuanganPDto;
import com.portofolio.service.MapRuanganLoginToRuanganPService;
import com.portofolio.util.RestUtil;

import io.swagger.annotations.ApiOperation;

@SuppressWarnings("rawtypes")
@Lazy
@RestController
@RequestMapping("/mapRuanganLoginToRuanganP")
public class MapRuanganLoginToRuanganPController extends LocaleController {
	@Autowired
	private MapRuanganLoginToRuanganPService service;

	
	@ApiOperation("Api Untuk Update MapRuanganLoginToRuanganP")
	@PutMapping("/update")
	public ResponseEntity<Map<String, Object>> updateWrite(@Valid @RequestBody MapRuanganLoginToRuanganPDto entity,
			HttpServletRequest request) {
		Map<String, Object> result = service.update(entity);
		return RestUtil.getJsonResponse(result);
	}
	
	
	
	@ApiOperation("Api Untuk Update MapRuanganLoginToRuanganP")
	@GetMapping("/findAllAksesByKdRuanganLogin")
	public ResponseEntity<Map<String, Object>> findAllAksesByKdRuanganLogin(
			@RequestParam(value = "kdRuanganLogin", required = true) String kdRuanganLogin,
			@RequestParam(value = "enumJenisMaping", required = true) Integer enumJenisMaping,
			@RequestParam(value = "enumKelompokTransaksi", required = true) Integer enumKelompokTransaksi) {
		Map<String, Object> result = service.findAllAksesByKdRuanganLogin(kdRuanganLogin,enumJenisMaping,enumKelompokTransaksi);
		return RestUtil.getJsonResponse(result);
	}

	
	
	

}
